## iodine 0.0.0

=== Makefile ===
prefix?=/usr/local
sbindir=$(prefix)/sbin
datadir=$(prefix)/share
mandir=$(datadir)/man

DESTDIR=

INSTALL=install
INSTALL_FLAGS=

MKDIR=mkdir
MKDIR_FLAGS=-p

RM=rm
RM_FLAGS=-f

TARGETOS = `uname`

all: 
	@(cd src; $(MAKE) TARGETOS=$(TARGETOS) all)

cross-android:
	@(cd src; $(MAKE) base64u.c base64u.h)
	@(cd src; ndk-build NDK_PROJECT_PATH=. APP_BUILD_SCRIPT=Android.mk)

cross-android-dist:
	@rm -rf iodine-latest-android*
	@mkdir -p iodine-latest-android/armeabi iodine-latest-android/x86
	@$(MAKE) cross-android TARGET_ARCH_ABI=armeabi
	@cp src/libs/armeabi/* iodine-latest-android/armeabi
	@$(MAKE) cross-android TARGET_ARCH_ABI=x86
	@cp src/libs/x86/* iodine-latest-android/x86
	@cp README README-android.txt CH* TO* iodine-latest-android
	@echo "Create date: " > iodine-latest-android/VERSION
	@date >> iodine-latest-android/VERSION
	@echo "Git version: " >> iodine-latest-android/VERSION
	@git rev-parse HEAD >> iodine-latest-android/VERSION
	@zip -r iodine-latest-android.zip iodine-latest-android

cross-mingw: 
	@(cd src; $(MAKE) TARGETOS=windows32 CC=i686-mingw32-gcc all)

cross-mingw-dist: cross-mingw
	@rm -rf iodine-latest-win32*
	@mkdir -p iodine-latest-win32/bin
	@for i in `ls bin`; do cp bin/$$i iodine-latest-win32/bin/$$i.exe; done
	@cp /usr/i686-mingw32/usr/bin/zlib1.dll iodine-latest-win32/bin
	@cp README README-win32.txt CH* TO* iodine-latest-win32
	@echo "Create date: " > iodine-latest-win32/VERSION
	@date >> iodine-latest-win32/VERSION
	@echo "Git version: " >> iodine-latest-win32/VERSION
	@git rev-parse HEAD >> iodine-latest-win32/VERSION
	@zip -r iodine-latest-win32.zip iodine-latest-win32

install: all
	$(MKDIR) $(MKDIR_FLAGS) $(DESTDIR)$(sbindir)
	$(INSTALL) $(INSTALL_FLAGS) bin/iodine $(DESTDIR)$(sbindir)/iodine
	chmod 755 $(DESTDIR)$(sbindir)/iodine
	$(INSTALL) $(INSTALL_FLAGS) bin/iodined $(DESTDIR)$(sbindir)/iodined
	chmod 755 $(DESTDIR)$(sbindir)/iodined
	$(MKDIR) $(MKDIR_FLAGS) $(DESTDIR)$(mandir)/man8
	$(INSTALL) $(INSTALL_FLAGS) man/iodine.8 $(DESTDIR)$(mandir)/man8/iodine.8
	chmod 644 $(DESTDIR)$(mandir)/man8/iodine.8

uninstall:
	$(RM) $(RM_FLAGS) $(DESTDIR)$(sbindir)/iodine
	$(RM) $(RM_FLAGS) $(DESTDIR)$(sbindir)/iodined
	$(RM) $(RM_FLAGS) $(DESTDIR)$(mandir)/man8/iodine.8

test: all
	@echo "!! The check library is required for compiling and running the tests"
	@echo "!! Get it at http://check.sf.net"
	-@(cd tests; $(MAKE) TARGETOS=$(TARGETOS) all)

clean:
	@echo "Cleaning..."
	@(cd src; $(MAKE) clean)
	@(cd tests; $(MAKE) clean)
	@rm -rf bin iodine-latest-win32* iodine-latest-android*

=== src/Makefile ===
COMMONOBJS = tun.o dns.o read.o encoding.o login.o base32.o base64.o base64u.o base128.o md5.o common.o
CLIENTOBJS = iodine.o client.o util.o
CLIENT = ../bin/iodine
SERVEROBJS = iodined.o user.o fw_query.o
SERVER = ../bin/iodined

OS = `echo $(TARGETOS) | tr "a-z" "A-Z"`
ARCH = `uname -m`
HEAD_COMMIT = `git rev-parse --short HEAD`

LIBPATH = -L.
LDFLAGS +=  -lz `sh osflags $(TARGETOS) link` $(LIBPATH)
CFLAGS += -c -g -Wall -D$(OS) -pedantic `sh osflags $(TARGETOS) cflags` -DGITREVISION=\"$(HEAD_COMMIT)\"

all: stateos $(CLIENT) $(SERVER)

stateos:
	@echo OS is $(OS), arch is $(ARCH)

$(CLIENT): $(COMMONOBJS) $(CLIENTOBJS)
	@echo LD $@
	@mkdir -p ../bin
	@$(CC) $(COMMONOBJS) $(CLIENTOBJS) -o $(CLIENT) $(LDFLAGS)

$(SERVER): $(COMMONOBJS) $(SERVEROBJS)
	@echo LD $@
	@mkdir -p ../bin
	@$(CC) $(COMMONOBJS) $(SERVEROBJS) -o $(SERVER) $(LDFLAGS)

.c.o: 
	@echo CC $<
	@$(CC) $(CFLAGS) $< -o $@

base64u.o client.o iodined.o: base64u.h
base64u.c: base64.c
	@echo Making $@
	@echo '/* No use in editing, produced by Makefile! */' > $@
	@sed -e 's/\([Bb][Aa][Ss][Ee]64\)/\1u/g ; s/0123456789+/0123456789_/' < base64.c >> $@
base64u.h: base64.h
	@echo Making $@
	@echo '/* No use in editing, produced by Makefile! */' > $@
	@sed -e 's/\([Bb][Aa][Ss][Ee]64\)/\1u/g ; s/0123456789+/0123456789_/' < base64.h >> $@

clean:
	@echo "Cleaning src/"
	@rm -f $(CLIENT){,.exe} $(SERVER){,.exe} *~ *.o *.core base64u.*
	@rm -rf obj libs #android stuff

=== tests/Makefile ===
CC = gcc
TEST = test
OBJS = test.o base32.o base64.o common.o read.o dns.o encoding.o login.o user.o fw_query.o
SRCOBJS = ../src/base32.o  ../src/base64.o ../src/common.o ../src/read.o ../src/dns.o ../src/encoding.o ../src/login.o ../src/md5.o ../src/user.o ../src/fw_query.o

OS = `uname | tr "a-z" "A-Z"`

CHECK_PATH = /usr/local
LDFLAGS = -L$(CHECK_PATH)/lib `pkg-config check --libs` -lpthread `sh ../src/osflags $(TARGETOS) link`
CFLAGS = -g -Wall -D$(OS) `pkg-config check --cflags` -I../src -I$(CHECK_PATH)/include -pedantic `sh ../src/osflags $(TARGETOS) cflags`

all: $(TEST)
	@LD_LIBRARY_PATH=${CHECK_PATH}/lib ./$(TEST)

$(TEST): $(OBJS) $(SRCOBJS)
	@echo LD $(TEST)
	@$(CC) -o $@ $(SRCOBJS) $(OBJS) $(LDFLAGS) 

.c.o: 
	@echo CC $<
	@$(CC) $(CFLAGS) -c $<

clean:
	@echo "Cleaning tests/"
	@rm -f *~ *.core $(TEST) $(OBJS)

=== debian/changelog ===
iodine (0.0.0-0~rzr1) saucy; urgency=medium

  * TODO: remove on release 
    http://rzr.online.fr/q/snapshot

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 21:55:14 +0200

iodine (0.6.0~rc1-6) unstable; urgency=low

  * New patch: cmdline-r-u.patch. Due to a missing "break", -r causes -u to
    have no effect (client). Thanks to Pavel Pergamenshchik for the bug report
    and the patch.
    LP: #880508
  * debian/{rules,control}: replace hardening-includes with the new
    dpkg-dev/debhelper approach. Update cflags.patch to honour CPPFLAGS.
  * Set Standards-Version to 3.9.2 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Oct 2011 23:07:10 +0200

iodine (0.6.0~rc1-5) unstable; urgency=low

  * Don't source /etc/default/iodine in config script but read out the values
    with awk. This allows to use shell constructs like $() in the file and
    preserve them during re-configuration (closes: #612723).
    Thanks to "Debian bug at v.nix.is" for the bug report.
  * Add a logcheck filter; thanks to martin f krafft for the bug report and
    the logcheck file (closes: #612721).
  * Add patch armel_ftbfs.patch: Rename struct user to struct _user in the
    code to avoid naming conflict caused by including <sys/user.h> as part of
    the armel build. Taken from Ubuntu; not needed currently in Debian but
    saves Ubuntu from carrying the patch and might be helpful later.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Feb 2011 14:49:06 +0100

iodine (0.6.0~rc1-4) unstable; urgency=low

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:38:57 +0100

iodine (0.6.0~rc1-3) experimental; urgency=low

  [ gregor herrmann ]
  * Build with hardening; thanks to Romain Francoise for the bug report and
    the patch (closes: #589054).
  * New patch uninitialized-inside_topdomain.patch: initialize
    inside_topdomain before using it; thanks to Samuel Thibault for the bug
    report and the patch (closes: #596740).
  * Set Standards-Version to 3.9.1 (no changes).
  * Add Danish debconf translation, thanks to Joe Dalton (closes: #602447).
  * Update iodine-client-start to version 1.0.3, commit 04c2dee
    (closes: #605703).
  * debian/copyright: update years of packaging copyright, update formatting.
  * Update to experimental because of the freeze.

  [ tony mancill ]
  * Update reference to README file in README.Debian (closes: #597736)

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 03:01:13 +0100

iodine (0.6.0~rc1-2) unstable; urgency=low

  [ tony mancill ]
  * Update init.d script to support spaces in password (closes: #597258)

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Sep 2010 22:25:48 +0200

iodine (0.6.0~rc1-1) unstable; urgency=low

  * debian/watch: relax regexp to also catch release candidates.

  * New upstream release:
    - return nonzero if tunnel fails to open (closes: #534186)
    - added support for CNAME/TXT/A/MX query types (closes: #587894)
    - includes the changes we had backported in openlog.patch, so remove the
      patch now
  * This version introduces a new and incompatible protocol version
    (00000502); adjust debia/README.Debian and add debian/NEWS.
  * Add new patch manpage.patch (*roff problems). Refresh remaining patches.
    Improve patch headers (DEP3).
  * Set Standards-Version to 3.9.0 (no changes).
  * debian/copyright: point to /usr/share/common-licenses/GPL-1 now that the
    GNU GPLv1 is included in base-files.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jul 2010 18:04:23 +0200

iodine (0.5.2-7) unstable; urgency=low

  * Add Spanish debconf translation, thanks to Francisco Javier Cuadrado
    (closes: #582872).

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 May 2010 18:42:06 +0200

iodine (0.5.2-6) unstable; urgency=low

  * Add $syslog facility to init script.
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * Update iodine-client-start (02eb805).

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 May 2010 22:34:12 +0200

iodine (0.5.2-5) unstable; urgency=low

  * Update iodine-client-start (01b8c6f).
  * New patch openlog.patch: move openlog() call before chrooting; thanks to
    Romain Francoise for the patch (closes: #573194).
  * README.Debian: mention /usr/sbin/iodine-client-start now that it's not in
    examples/ anymore.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Mar 2010 18:47:52 +0100

iodine (0.5.2-4) unstable; urgency=low

  * Include updated iodine-client-start script and install it into /usr/sbin.
    Adjust some files and create manpage with help2man.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Feb 2010 22:03:12 +0100

iodine (0.5.2-3) unstable; urgency=low

  * Add Japanese debconf translation, thanks to Hideki Yamane
    (closes: #558051).
  * The example script iodine-jigger is now called iodine-client-start; update
    the name in the relevant locations and integrate a newer version.
  * debian/copyright: update formatting.
  * Set Standards-Version to 3.8.4 (no changes).
  * New patch spelling.patch: fix a minor spelling mistake in the manpage.
  * Adjust handling of /etc/default/iodine in init script.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Feb 2010 21:30:54 +0100

iodine (0.5.2-2) unstable; urgency=low

  * Add Russian debconf translation, thanks to Yuri Kozlov (closes: #546345).
  * Set Standards-Version to 3.8.3 (no changes).
  * Update debian/rules, bump build dependencies in debian/control
    accordingly.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 01:05:31 +0200

iodine (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Jun 2009 18:03:31 +0200

iodine (0.5.1-2) unstable; urgency=low

  * (Re-)add a warning to README.Debian that both client and server needs to
    run the same protocol version (cf. #521260).
  * Create /var/run/iodine in init script if it doesn't exist; thanks to


=== debian/control ===
Source: iodine
Section: net
Priority: extra
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: check,
 dpkg-dev (>= 1.16.1),
 debhelper (>= 8.9.4),
 help2man,
 po-debconf,
 zlib1g-dev,
 pkg-config,
 git
Standards-Version: 3.9.2
Homepage: http://code.kryo.se/iodine
Vcs-Svn: http://svn.toastfreeware.priv.at/debian/iodine/trunk/
Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/iodine/trunk/

Package: iodine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 adduser,
 udev | makedev
Suggests: dnsutils,
 fping,
 gawk,
 ipcalc,
 iproute
Description: tool for tunneling IPv4 data through a DNS server
 This is a piece of software that lets you tunnel IPv4 data through a DNS
 server. This can be usable in different situations where internet access is
 firewalled, but DNS queries are allowed.
 .
 iodine is similar to nstx but has password authentication, brings up the
 tun interface automatically and lets the user specify the IP address as a
 command line option.

## iodine 0.4.1

=== Makefile ===
prefix=/usr/local
sbindir=$(prefix)/sbin
datadir=$(prefix)/share
mandir=$(datadir)/man

DESTDIR=

INSTALL=install
INSTALL_FLAGS=

MKDIR=mkdir
MKDIR_FLAGS=-p

RM=rm
RM_FLAGS=-f

all: 
	@(cd src; $(MAKE) all)

install: all
	$(MKDIR) $(MKDIR_FLAGS) $(DESTDIR)$(sbindir)
	$(INSTALL) $(INSTALL_FLAGS) bin/iodine $(DESTDIR)$(sbindir)/iodine
	chmod 755 $(DESTDIR)$(sbindir)/iodine
	$(INSTALL) $(INSTALL_FLAGS) bin/iodined $(DESTDIR)$(sbindir)/iodined
	chmod 755 $(DESTDIR)$(sbindir)/iodined
	$(MKDIR) $(MKDIR_FLAGS) $(DESTDIR)$(mandir)/man8
	$(INSTALL) $(INSTALL_FLAGS) man/iodine.8 $(DESTDIR)$(mandir)/man8/iodine.8
	chmod 644 $(DESTDIR)$(mandir)/man8/iodine.8

uninstall:
	$(RM) $(RM_FLAGS) $(DESTDIR)$(sbindir)/iodine
	$(RM) $(RM_FLAGS) $(DESTDIR)$(sbindir)/iodined
	$(RM) $(RM_FLAGS) $(DESTDIR)$(mandir)/man8/iodine.8
	
test: all
	@echo "!! The check library is required for compiling and running the tests"
	@echo "!! Get it at http://check.sf.net"
	@(cd tests; make all)

clean:
	@echo "Cleaning..."
	@(cd src; $(MAKE) clean)
	@(cd tests; $(MAKE) clean)
	@rm -rf bin

=== src/Makefile ===
CC = gcc
COMMONOBJS = tun.o dns.o read.o encoding.o login.o base32.o base64.o md5.o common.o
CLIENTOBJS = iodine.o
CLIENT = ../bin/iodine
SERVEROBJS = iodined.o user.o
SERVER = ../bin/iodined

OS = `uname | tr "a-z" "A-Z"`
ARCH = `uname -m`

LDFLAGS =  -lz
CFLAGS = -c -g -Wall -D$(OS) -pedantic

all: stateos $(CLIENT) $(SERVER) $(TESTSUITE) 

stateos:
	@echo OS is $(OS), arch is $(ARCH)

$(CLIENT): $(COMMONOBJS) $(CLIENTOBJS)
	@echo LD $@
	@mkdir -p ../bin
	@$(CC) $(COMMONOBJS) $(CLIENTOBJS) -o $(CLIENT) $(LDFLAGS)

$(SERVER): $(COMMONOBJS) $(SERVEROBJS)
	@echo LD $@
	@mkdir -p ../bin
	@$(CC) $(COMMONOBJS) $(SERVEROBJS) -o $(SERVER) $(LDFLAGS)

.c.o: 
	@echo CC $<
	@$(CC) $(CFLAGS) $< -o $@

clean:
	@echo "Cleaning src/"
	@rm -f $(CLIENT) $(SERVER) *~ *.o *.core

=== tests/Makefile ===
CC = gcc
TEST = test
OBJS = test.o base32.o base64.o read.o dns.o encoding.o login.o user.o 
SRCOBJS = ../src/base32.o  ../src/base64.o ../src/read.o ../src/dns.o ../src/encoding.o ../src/login.o ../src/md5.o ../src/user.o

OS = `uname | tr "a-z" "A-Z"`

LDFLAGS =  -L/usr/local/lib -lcheck
CFLAGS = -g -Wall -D$(OS) -I../src -I/usr/local/include -pedantic

all: $(TEST)
	@./$(TEST)

$(TEST): $(OBJS) $(SRCOBJS)
	@echo LD $(TEST)
	@$(CC) -o $@ $(SRCOBJS) $(OBJS) $(LDFLAGS) 

.c.o: 
	@echo CC $<
	@$(CC) $(CFLAGS) -c $<


clean:
	@echo "Cleaning..."
	@rm -f *~ *.core $(TEST) $(OBJS)

## iodine 0.4.2

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 test: all
 	@echo "!! The check library is required for compiling and running the tests"
 	@echo "!! Get it at http://check.sf.net"
-	@(cd tests; make all)
+	@(cd tests; $(MAKE) all)
 
 clean:
 	@echo "Cleaning..."

=== src/Makefile ===
--- 
+++ 
@@ -8,10 +8,10 @@
 OS = `uname | tr "a-z" "A-Z"`
 ARCH = `uname -m`
 
-LDFLAGS =  -lz
+LDFLAGS =  -lz `sh osflags link`
 CFLAGS = -c -g -Wall -D$(OS) -pedantic
 
-all: stateos $(CLIENT) $(SERVER) $(TESTSUITE) 
+all: stateos $(CLIENT) $(SERVER)
 
 stateos:
 	@echo OS is $(OS), arch is $(ARCH)

=== tests/Makefile ===
--- 
+++ 
@@ -21,6 +21,6 @@
 
 
 clean:
-	@echo "Cleaning..."
+	@echo "Cleaning tests/"
 	@rm -f *~ *.core $(TEST) $(OBJS)

## iodine 0.5.2

=== src/Makefile ===
--- 
+++ 
@@ -2,14 +2,15 @@
 COMMONOBJS = tun.o dns.o read.o encoding.o login.o base32.o base64.o md5.o common.o
 CLIENTOBJS = iodine.o
 CLIENT = ../bin/iodine
-SERVEROBJS = iodined.o user.o
+SERVEROBJS = iodined.o user.o fw_query.o
 SERVER = ../bin/iodined
 
-OS = `uname | tr "a-z" "A-Z"`
+OS = `echo $(TARGETOS) | tr "a-z" "A-Z"`
 ARCH = `uname -m`
 
-LDFLAGS =  -lz `sh osflags link`
-CFLAGS = -c -g -Wall -D$(OS) -pedantic
+LIBPATH = -L.
+LDFLAGS =  -lz `sh osflags $(TARGETOS) link` $(LIBPATH)
+CFLAGS = -c -g -Wall -D$(OS) -pedantic `sh osflags $(TARGETOS) cflags`
 
 all: stateos $(CLIENT) $(SERVER)
 
@@ -32,5 +33,5 @@
 
 clean:
 	@echo "Cleaning src/"
-	@rm -f $(CLIENT) $(SERVER) *~ *.o *.core
+	@rm -f $(CLIENT){,.exe} $(SERVER){,.exe} *~ *.o *.core

=== debian/control ===
Source: iodine
Section: net
Priority: extra
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7.0.50), po-debconf, help2man,
 zlib1g-dev, check
Standards-Version: 3.8.4
Homepage: http://code.kryo.se/iodine
Vcs-Svn: http://svn.toastfreeware.priv.at/debian/iodine/trunk/
Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/iodine/trunk/

Package: iodine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev | makedev, adduser
Suggests: iproute, ipcalc, dnsutils, fping, gawk
Description: tool for tunneling IPv4 data through a DNS server
 This is a piece of software that lets you tunnel IPv4 data through a DNS
 server. This can be usable in different situations where internet access is
 firewalled, but DNS queries are allowed.
 .
 iodine is similar to nstx but has password authentication, brings up the
 tun interface automatically and lets the user specify the IP address as a
 command line option.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.kryo.se/iodine/iodine-([\d\.]+)\.tar\.gz

## iodine 0.6.0~rc1

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,25 @@
 RM=rm
 RM_FLAGS=-f
 
+TARGETOS = `uname`
+
 all: 
-	@(cd src; $(MAKE) all)
+	@(cd src; $(MAKE) TARGETOS=$(TARGETOS) all)
+
+cross-mingw: 
+	@(cd src; $(MAKE) TARGETOS=windows32 CC=i686-mingw32-gcc all)
+
+cross-mingw-dist: cross-mingw
+	@rm -rf iodine-latest-win32*
+	@mkdir -p iodine-latest-win32/bin
+	@for i in `ls bin`; do cp bin/$$i iodine-latest-win32/bin/$$i.exe; done
+	@cp /usr/i686-mingw32/usr/bin/zlib1.dll iodine-latest-win32/bin
+	@cp README* CH* TO* iodine-latest-win32
+	@echo "Create date: " > iodine-latest-win32/VERSION
+	@date >> iodine-latest-win32/VERSION
+	@echo "SVN version: " >> iodine-latest-win32/VERSION
+	@svnversion >> iodine-latest-win32/VERSION
+	@zip -r iodine-latest-win32.zip iodine-latest-win32
 
 install: all
 	$(MKDIR) $(MKDIR_FLAGS) $(DESTDIR)$(sbindir)
@@ -35,11 +52,11 @@
 test: all
 	@echo "!! The check library is required for compiling and running the tests"
 	@echo "!! Get it at http://check.sf.net"
-	@(cd tests; $(MAKE) all)
+	@(cd tests; $(MAKE) TARGETOS=$(TARGETOS) all)
 
 clean:
 	@echo "Cleaning..."
 	@(cd src; $(MAKE) clean)
 	@(cd tests; $(MAKE) clean)
-	@rm -rf bin
+	@rm -rf bin iodine-latest-win32*

=== src/Makefile ===
COMMONOBJS = tun.o dns.o read.o encoding.o login.o base32.o base64.o base64u.o base128.o md5.o common.o
CLIENTOBJS = iodine.o client.o util.o
CLIENT = ../bin/iodine
SERVEROBJS = iodined.o user.o fw_query.o
SERVER = ../bin/iodined

OS = `echo $(TARGETOS) | tr "a-z" "A-Z"`
ARCH = `uname -m`

LIBPATH = -L.
LDFLAGS +=  -lz `sh osflags $(TARGETOS) link` $(LIBPATH)
CFLAGS += -c -g -Wall -D$(OS) -pedantic `sh osflags $(TARGETOS) cflags`

all: stateos $(CLIENT) $(SERVER)

stateos:
	@echo OS is $(OS), arch is $(ARCH)

$(CLIENT): $(COMMONOBJS) $(CLIENTOBJS)
	@echo LD $@
	@mkdir -p ../bin
	@$(CC) $(COMMONOBJS) $(CLIENTOBJS) -o $(CLIENT) $(LDFLAGS)

$(SERVER): $(COMMONOBJS) $(SERVEROBJS)
	@echo LD $@
	@mkdir -p ../bin
	@$(CC) $(COMMONOBJS) $(SERVEROBJS) -o $(SERVER) $(LDFLAGS)

.c.o: 
	@echo CC $<
	@$(CC) $(CFLAGS) $< -o $@

base64u.o client.o iodined.o: base64u.h
base64u.c: base64.c
	@echo Making $@
	@echo '/* No use in editing, produced by Makefile! */' > $@
	@sed -e 's/\([Bb][Aa][Ss][Ee]64\)/\1u/g ; s/0123456789+/0123456789_/' < base64.c >> $@
base64u.h: base64.h
	@echo Making $@
	@echo '/* No use in editing, produced by Makefile! */' > $@
	@sed -e 's/\([Bb][Aa][Ss][Ee]64\)/\1u/g ; s/0123456789+/0123456789_/' < base64.h >> $@

clean:
	@echo "Cleaning src/"
	@rm -f $(CLIENT){,.exe} $(SERVER){,.exe} *~ *.o *.core base64u.*

=== tests/Makefile ===
CC = gcc
TEST = test
OBJS = test.o base32.o base64.o read.o dns.o encoding.o login.o user.o fw_query.o
SRCOBJS = ../src/base32.o  ../src/base64.o ../src/read.o ../src/dns.o ../src/encoding.o ../src/login.o ../src/md5.o ../src/user.o ../src/fw_query.o

OS = `uname | tr "a-z" "A-Z"`

CHECK_PATH = /usr/local
LDFLAGS = -L$(CHECK_PATH)/lib -lcheck `../src/osflags link`
CFLAGS = -g -Wall -D$(OS) -I../src -I$(CHECK_PATH)/include -pedantic `../src/osflags cflags`

all: $(TEST)
	@LD_LIBRARY_PATH=${CHECK_PATH}/lib ./$(TEST)

$(TEST): $(OBJS) $(SRCOBJS)
	@echo LD $(TEST)
	@$(CC) -o $@ $(SRCOBJS) $(OBJS) $(LDFLAGS) 

.c.o: 
	@echo CC $<
	@$(CC) $(CFLAGS) -c $<


clean:
	@echo "Cleaning tests/"
	@rm -f *~ *.core $(TEST) $(OBJS)

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: gregor herrmann <gregoa@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 7.0.50), po-debconf, help2man,
- zlib1g-dev, check
-Standards-Version: 3.8.4
+ zlib1g-dev, check, hardening-includes
+Standards-Version: 3.9.1
 Homepage: http://code.kryo.se/iodine
 Vcs-Svn: http://svn.toastfreeware.priv.at/debian/iodine/trunk/
 Vcs-Browser: http://svn.toastfreeware.priv.at/wsvn/ToastfreewareDebian/iodine/trunk/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make
export CFLAGS += $(HARDENING_CFLAGS)
export LDFLAGS += $(HARDENING_LDFLAGS)

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_clean:
	debconf-updatepo
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	[ -x $(CURDIR)/debian/iodine-client-start ] || chmod +x $(CURDIR)/debian/iodine-client-start
	help2man --output=$(CURDIR)/debian/iodine-client-start.8 \
		--no-info --section=8 --name="start an iodine IPv4-over-DNS tunnel" \
		$(CURDIR)/debian/iodine-client-start

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(TMP) prefix=/usr

override_dh_installinit:
	dh_installinit --name=iodined

override_dh_installlogcheck:
	dh_installlogcheck
	mv $(TMP)/etc/logcheck/ignore.d.server/iodine $(TMP)/etc/logcheck/ignore.d.server/iodined

## iodine 0.6.0-rc1-maemo1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-prefix=/usr/local
+prefix=/usr
 sbindir=$(prefix)/sbin
 datadir=$(prefix)/share
 mandir=$(datadir)/man

=== debian/changelog ===
iodine (0.6.0-rc1-maemo1) unstable; urgency=low

  * Initial release.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 05 Sep 2010 15:16:41 +0300

=== debian/control ===
Source: iodine
Section: user/network
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), zlib1g-dev
Standards-Version: 3.7.2

Package: iodine
Architecture: armel
Depends: ${shlibs:Depends}
XB-Maemo-Display-Name: Iodine
Description: iodine lets you tunnel IPv4 data through a DNS serve
 This can be usable in different situations where internet access is firewalled, but DNS queries are allowed. 
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
 uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
 F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
 FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
 pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
 Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
 RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
 sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
 qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
 q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
 +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
 xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
 ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
 lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
 swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
 XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
 drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
 f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
 A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
 tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
 +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
 XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
 g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
 ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
 DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
 zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
 YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
 sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
 acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
 S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
 NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
 PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
 yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
 eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
 aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
 LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
 I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
 D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
 kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
 kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
 WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
 RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
 UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
 F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
 AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
 MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
 qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
 zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
 HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
 t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
 n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
 vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
 Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
 zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
 YII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
#	./configure
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) clean
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/iodine install
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs debian/changelog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## iodine 0.7.0

=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 LIBPATH = -L.
 LDFLAGS +=  -lz `sh osflags $(TARGETOS) link` $(LIBPATH)
-CFLAGS += -c -g -Wall -D$(OS) -pedantic `sh osflags $(TARGETOS) cflags`
+CFLAGS += -std=c99 -c -g -Wall -D$(OS) -pedantic `sh osflags $(TARGETOS) cflags`
 
 all: stateos $(CLIENT) $(SERVER)
 
@@ -26,7 +26,7 @@
 	@mkdir -p ../bin
 	@$(CC) $(COMMONOBJS) $(SERVEROBJS) -o $(SERVER) $(LDFLAGS)
 
-.c.o: 
+.c.o:
 	@echo CC $<
 	@$(CC) $(CFLAGS) $< -o $@
 
@@ -43,4 +43,5 @@
 clean:
 	@echo "Cleaning src/"
 	@rm -f $(CLIENT){,.exe} $(SERVER){,.exe} *~ *.o *.core base64u.*
+	@rm -rf obj libs #android stuff

=== tests/Makefile ===
TEST = test
OBJS = test.o base32.o base64.o common.o read.o dns.o encoding.o login.o user.o fw_query.o
SRCOBJS = ../src/base32.o  ../src/base64.o ../src/common.o ../src/read.o ../src/dns.o ../src/encoding.o ../src/login.o ../src/md5.o ../src/user.o ../src/fw_query.o

OS = `uname | tr "a-z" "A-Z"`

CHECK_PATH = /usr/local
LDFLAGS = -L$(CHECK_PATH)/lib `pkg-config check --libs` -lpthread `sh ../src/osflags $(TARGETOS) link`
CFLAGS = -std=c99 -g -Wall -D$(OS) `pkg-config check --cflags` -I../src -I$(CHECK_PATH)/include -pedantic `sh ../src/osflags $(TARGETOS) cflags`

all: $(TEST)
	@LD_LIBRARY_PATH=${CHECK_PATH}/lib ./$(TEST)

$(TEST): $(OBJS) $(SRCOBJS)
	@echo LD $(TEST)
	@$(CC) -o $@ $(SRCOBJS) $(OBJS) $(LDFLAGS)

.c.o:
	@echo CC $<
	@$(CC) $(CFLAGS) -c $<

clean:
	@echo "Cleaning tests/"
	@rm -f *~ *.core $(TEST) $(OBJS)

=== debian/changelog ===
iodine (0.7.0-9) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * Refresh existing patches.
    - 0001-osflags-use-pkg-config-for-systemd-support.patch: add 7b1df75 from
      upstream Git as a preparation for the new cross.patch
    - kfreebsd-hurd.patch: offset as a result of the former
  * Add new patch cross.patch to fix cross compilation.
    Allows one to pass PKG_CONFIG to the build system, which happens in
    debian/rules, in order to bypass the build architecture pkg-config.
    Thanks to Helmut Grohne for the bug report and the initial patch which was
    slightly modified to apply against upstream's Git HEAD. (Closes: #921822)
  * Update years of packaging copyright.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Feb 2019 21:09:13 +0100

iodine (0.7.0-8) unstable; urgency=medium

  * New version of iodine-client-start (1.0.6 + one commit) pulled from
    upstream git repository (bd3b5e5).
    Adds -oneline to ip(1) calls as a workaround for its changed output, and
    drops ifconfig usage.
    Thanks to Axel Beckert for the bug report and Barak A. Pearlmutter for the
    quick fix. (Closes: #898672)
  * Update Vcs-* fields and debian/control and remove respective lintian
    overrides (vcs-field-uses-insecure-uri).
  * Declare compliance with Debian Policy 4.1.2.
    (And nothing newer, as we still use a variable in /etc/default/iodine
    which conflicts with policy 9.3.3.1 since 4.1.3.)
  * Update years of packaging copyright.
  * Use HTTPS for a couple of URLs in debian/*.
  * Change priority from extra to optional in debian/control.
  * Drop versioned build dependency on dpkg-dev.
    Even oldoldstable has a new enough version.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 May 2018 23:32:00 +0200

iodine (0.7.0-7) unstable; urgency=medium

  * Add dependency on net-tools.
    Thanks to gustavo panizzo for the bug report. (Closes: #851477)
  * Bump debhelper compatibility level to 10.
  * Drop build dependency on "debhelper (>= 9.20160709~) | dh-systemd"
    which is already covered by "debhelper (>= 10)".
  * Drop explicit call to systemd sequence in debian/rules which is now
    the default in debhelper compatibility level 10.
  * Add dependency on lsb-base because the init script uses the lsb
    utility functions. Thanks to lintian.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Jan 2017 14:51:40 +0100

iodine (0.7.0-6) unstable; urgency=medium

  * debian/iodined.service: remove test for START_IODINED variable.
    This causes upgrade failures when it's not set to 'true'.
    Thanks to martin f krafft for the bug report, and both him and Chris
    Knadle for their help in handling this bug. (Closes: #832599)
  * Install the systemd service file in debian/iodine.install.
    Otherwise it's not available in time for dh_systemd_enable.
  * Mask systemd service in postinst if START_IODINED is not set to true.
    This is the replacement for the check in the service file itself.

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Aug 2016 15:37:23 +0200

iodine (0.7.0-5) unstable; urgency=medium

  * Add systemd service files. Thanks to Lizhou Sha for providing them,
    together with tons of explanations. (Closes: #830074)
  * Update debiann/control and debian/rules for installing the new systemd
    files.
  * Declare compliance with Debian Policy 3.9.8.
  * Add lintian override for vcs-field-uses-insecure-uri.

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Jul 2016 22:06:35 +0200

iodine (0.7.0-4) unstable; urgency=medium

  * Add Brazilian Portuguese debconf translation.
    Thanks to Adriano Rafael Gomes.
    (Closes: #811516)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Jan 2016 17:57:55 +0100

iodine (0.7.0-3) unstable; urgency=medium

  * Update kfreebsd.patch and rename to kfreebsd-hurd.patch.
    Handle hurd-i386 as well.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Oct 2014 17:22:44 +0200

iodine (0.7.0-2) unstable; urgency=medium

  * Add patch to fix compilation failure on kfreebsd-*.
    (Closes: #764117)

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2014 18:43:33 +0200

iodine (0.7.0-1) unstable; urgency=medium

  * New upstream release.
    Contains fixes for the following bugs:
    - "upstream iodine activity". (Closes: #743385)
    - "should not allow UDP socket to be inherited by ifconfig".
      (Closes: #609751)
    - "Should support ipv6": Client can connect to iodined through an relaying
      IPv6 nameserver. Server only supports IPv4 for now. Traffic inside
      tunnel is IPv4. (Closes: #680953)
  * Add network-manager-iodine and network-manager-iodine-gnome to
    Suggests.
    Thanks to Guido Günther for the proposal. (Closes: #760562)
  * debian/copyright:
    - update years of upstream and packaging copyright
    - add another third party copyright statement
  * Patches:
    - drop most patches, as they are merged or fixed upstream, or where taken
      from there
    - refresh the remaining two: cflags.patch, verbose-build.patch
  * Preliminary systemd support:
    - build-depend on libsystemd-dev package on linux-any
    - add patch 0001-osflags-use-pkg-config-for-systemd-support.patch from
      upstream git to use pkg-config for finding the systemd libs; change
      libsystemd-daemon to libsystemd
  * Split .docs into .docs and .examples.
    The latter contain the upstream examples for SELinux (not activated during
    build) and systemd.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2014 15:39:08 +0200

iodine (0.6.0~rc1-20) unstable; urgency=medium

  * Fix regression of /etc/default/iodine handling.
    Affects especially $(...) constructs.
    - debian/config:
      use awk again for getting existing values instead of sourcing the file.
      Cf. #612723
    - debian/postinst:


=== debian/control ===
Source: iodine
Maintainer: gregor herrmann <gregoa@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Section: net
Priority: optional
Build-Depends: check (>= 0.9.10-3),
               debhelper (>= 10),
               help2man,
               libsystemd-dev [linux-any],
               pkg-config,
               po-debconf,
               zlib1g-dev
Standards-Version: 4.1.2
Vcs-Browser: https://git.toastfreeware.priv.at/debian/iodine.git/
Vcs-Git: https://git.toastfreeware.priv.at/debian/iodine.git
Homepage: https://code.kryo.se/iodine

Package: iodine
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         lsb-base,
         net-tools,
         udev [linux-any] | makedev [linux-any]
Suggests: dnsutils,
          fping | oping,
          gawk,
          ipcalc,
          iproute2,
          network-manager-iodine,
          network-manager-iodine-gnome
Description: tool for tunneling IPv4 data through a DNS server
 This is a piece of software that lets you tunnel IPv4 data through a DNS
 server. This can be usable in different situations where internet access is
 firewalled, but DNS queries are allowed.
 .
 iodine is similar to nstx but has password authentication, brings up the
 tun interface automatically and lets the user specify the IP address as a
 command line option.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
# needs dpkg-dev 1.19.0
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@

override_dh_auto_clean:
	debconf-updatepo
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	[ -x $(CURDIR)/debian/iodine-client-start ] || chmod +x $(CURDIR)/debian/iodine-client-start
	help2man --output=$(CURDIR)/debian/iodine-client-start.8 \
		--no-info --section=8 --name="start an iodine IPv4-over-DNS tunnel" \
		$(CURDIR)/debian/iodine-client-start

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(TMP) prefix=/usr

override_dh_installinit:
	dh_installinit --name=iodined

override_dh_installlogcheck:
	dh_installlogcheck
	mv $(TMP)/etc/logcheck/ignore.d.server/iodine $(TMP)/etc/logcheck/ignore.d.server/iodined

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ \
	https://code.kryo.se/iodine/iodine-([\d\w\.-]+)\.tar\.gz
